Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.debug.ui.console
Class FileLink

    java.lang.Object
      org.eclipse.debug.ui.console.FileLink

All Implemented Interfaces:
  IConsoleHyperlink

public class FileLink
extends Object
implements IConsoleHyperlink

A hyperlink that opens a file in a text editor and selects a range of text.

This class is not intended to be subclassed; clients may instantiate this class.

Since:
  2.1

Constructor Summary
`FileLink(IFile file, String editorId, int fileOffset, int fileLength, int fileLineNumber)` Constructs a hyperlink to the specified file.

Method Summary
`void` | `linkActivated()` Notification that this link has been activated.
`void` | `linkEntered()` Notification that the mouse has entered this link's region.
`void` | `linkExited()` Notification that the mouse has exited this link's region

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FileLink

    public FileLink(IFile file,
                    String editorId,
                    int fileOffset,
                    int fileLength,
                    int fileLineNumber)

  Constructs a hyperlink to the specified file.

Parameters:
  `file` - the file to open when activated
  `editorId` - the identifier of the editor to open the file in, or `null` if the default editor should be used
  `fileOffset` - the offset in the file to select when activated, or -1
  `fileLength` - the length of text to select in the file when activated or -1
  `fileLineNumber` - the line number to select in the file when activated, or -1

Method Detail

### linkActivated

    public void linkActivated()

  Description copied from interface: `IConsoleHyperlink`
  Notification that this link has been activated. Performs context specific linking.

  Specified by:
    `linkActivated` in interface `IConsoleHyperlink`

### linkEntered

    public void linkEntered()

  Description copied from interface: `IConsoleHyperlink`
  Notification that the mouse has entered this link's region.

  Specified by:
    `linkEntered` in interface `IConsoleHyperlink`

### linkExited

    public void linkExited()

  Description copied from interface: `IConsoleHyperlink`
  Notification that the mouse has exited this link's region

  Specified by:
    `linkExited` in interface `IConsoleHyperlink`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.